std::default_delete< _Tp[]> Struct Template Reference
Pointer Abstractions

## Public Member Functions

constexpr | default_delete () noexcept=default
template<typename _Up , typename = typename enable_if<!__is_derived_Tp<_Up>::value>::type>
| default_delete (const default_delete< _Up[]> &) noexcept
void | operator() (_Tp *__ptr) const
template<typename _Up >
enable_if< __is_derived_Tp < _Up >::value >::type | operator() (_Up *) const =delete

## Detailed Description

### template<typename _Tp>
struct std::default_delete< _Tp[]>

Specialization for arrays, default_delete.

Definition at line 84 of file unique_ptr.h.

## Constructor & Destructor Documentation

template<typename _Tp >

constexpr std::default_delete< _Tp[]>::default_delete | ( |  | ) |

defaultnoexcept

Default constructor.

template<typename _Tp >
template<typename _Up , typename = typename enable_if<!__is_derived_Tp<_Up>::value>::type>

std::default_delete< _Tp[]>::default_delete | ( | const default_delete< _Up[]> & |  | ) |

inlinenoexcept

Converting constructor.

Allows conversion from a deleter for arrays of another type, such as a const-qualified version of `_Tp`.

Conversions from types derived from `_Tp` are not allowed because it is unsafe to `delete`[] an array of derived types through a pointer to the base type.

Definition at line 111 of file unique_ptr.h.

## Member Function Documentation

template<typename _Tp >

void std::default_delete< _Tp[]>::operator() | ( | _Tp * | __ptr | ) | const

inline

Calls `delete`[] `__ptr`.

Definition at line 115 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h